## prettify.js 2013.03.04+dfsg

=== Makefile ===
SHELL := /bin/bash

CLOSURE_COMPILER=java -jar tools/closure-compiler/compiler.jar \
	      --warning_level VERBOSE \
	      --language_in ECMASCRIPT5 \
	      --compilation_level ADVANCED_OPTIMIZATIONS \
	      --charset US-ASCII
# Don't specify --charset=UTF-8.  If we do, then non-ascii codepoints
# that do not correspond to line terminators are converted
# to UTF-8 sequences instead of being emitted as ASCII.
# This makes the resulting JavaScript less portable.

YUI_COMPRESSOR=java -jar tools/yui-compressor/yuicompressor-2.4.4.jar \
	      --charset UTF-8

TAR_ROOT=distrib/google-code-prettify

all: distrib

clean:
	rm -rf distrib.tstamp distrib src/prettify.js src/run_prettify.js

src/prettify.js: js-modules/*.js js-modules/*.pl
	@if [ -e "$@" ]; then chmod +w "$@"; fi
	@perl js-modules/js_include.pl "$$(basename $@)" > "$@"
	@if [ -e "$@" ]; then chmod -w "$@"; fi

src/run_prettify.js: js-modules/*.js js-modules/*.pl
	@if [ -e "$@" ]; then chmod +w "$@"; fi
	@perl js-modules/js_include.pl "$$(basename $@)" > "$@"
	@if [ -e "$@" ]; then chmod -w "$@"; fi

distrib: distrib.tstamp distrib/prettify-small.tgz distrib/prettify-small.zip distrib/prettify-small.tar.bz2
	@wc -c distrib/prettify-small.{tar.bz2,tgz,zip} \
	    | grep -v total

distrib.tstamp: src/prettify.js src/run_prettify.js src/*.js src/*.css
	@echo Compiling
	@mkdir -p $(TAR_ROOT)
	@for f in src/*.css; do \
	  $(YUI_COMPRESSOR) --type css $$f \
	      > $(TAR_ROOT)/$$(basename $$f); \
	  wc -c $$f $(TAR_ROOT)/$$(basename $$f) \
	      | grep -v total; \
	done
	@$(CLOSURE_COMPILER) --js src/prettify.js \
	    --externs tools/closure-compiler/console-externs.js \
	    --externs tools/closure-compiler/amd-externs.js \
	    --define IN_GLOBAL_SCOPE=true \
	    --output_wrapper='!function(){%output%}()' \
	    > $(TAR_ROOT)/prettify.js
	@wc -c src/prettify.js $(TAR_ROOT)/prettify.js \
	    | grep -v total
	@$(CLOSURE_COMPILER) --js src/run_prettify.js \
	    --externs tools/closure-compiler/console-externs.js \
	    --externs tools/closure-compiler/amd-externs.js \
	    --define IN_GLOBAL_SCOPE=false \
	    --output_wrapper='!function(){%output%}()' \
	    > $(TAR_ROOT)/run_prettify.js
	@wc -c src/run_prettify.js $(TAR_ROOT)/run_prettify.js \
	    | grep -v total
	@for f in src/lang*.js; do \
	  if [ $$f -nt $(TAR_ROOT)/$$(basename $$f) ]; then \
	    $(CLOSURE_COMPILER) --js $$f --externs js-modules/externs.js \
	        | perl -pe 's/\bPR\.PR_ATTRIB_NAME\b/"atn"/g; \
			    s/\bPR\.PR_ATTRIB_VALUE\b/"atv"/g; \
			    s/\bPR\.PR_COMMENT\b/"com"/g; \
			    s/\bPR\.PR_DECLARATION\b/"dec"/g; \
			    s/\bPR\.PR_KEYWORD\b/"kwd"/g; \
			    s/\bPR\.PR_LITERAL\b/"lit"/g; \
			    s/\bPR\.PR_PLAIN\b/"pln"/g; \
			    s/\bPR\.PR_PUNCTUATION\b/"pun"/g; \
			    s/\bPR\.PR_STRING\b/"str"/g; \
			    s/\bPR\.PR_TAG\b/"tag"/g; \
			    s/\bPR\.PR_TYPE\b/"typ"/g;' \
	        > $(TAR_ROOT)/$$(basename $$f); \
	    wc -c $$f $(TAR_ROOT)/$$(basename $$f) \
	        | grep -v total; \
	  fi \
	done
	@touch distrib.tstamp

lang-aliases : lang-aliases.tstamp
lang-aliases.tstamp : distrib.tstamp
	@tools/lang-handler-aliases.sh \
            distrib/sources/google-code-prettify/src \
	  | perl -ne 'system("cp $$1 $$2") if m/^(\S+) (\S+)$$/ && ! -e $$2' \
	  && touch lang-aliases.tstamp

%.tgz: %.tar
	@gzip -c -9 $^ > $@

%.tar.bz2: %.tar
	@bzip2 -k -9f $^

distrib/prettify-small.tar: distrib.tstamp
	tar cf $@ -C distrib google-code-prettify

distrib/prettify-small.zip: distrib.tstamp
	@pushd distrib >& /dev/null; \
	rm -f ../$@; \
	zip -q -9 -r ../$@ google-code-prettify; \
	popd >& /dev/null

distrib/prettify.tar: distrib.tstamp
	mkdir -p distrib/sources/google-code-prettify
	cp -fr CHANGES.html COPYING README.html Makefile \
	  examples js-modules src styles tests tools \
	  distrib/sources/google-code-prettify
	tar cf distrib/prettify.tar -C distrib/sources google-code-prettify

=== debian/changelog ===
prettify.js (2013.03.04+dfsg-4) unstable; urgency=medium

  * control: fixed vcs urls
  * control: updated Standards-Version

 -- Dominique Dumont <dod@debian.org>  Sat, 27 Sep 2014 18:15:53 +0200

prettify.js (2013.03.04+dfsg-3) unstable; urgency=medium

  * copyright: added missing entries

 -- Dominique Dumont <dod@debian.org>  Sat, 20 Sep 2014 18:22:31 +0200

prettify.js (2013.03.04+dfsg-2) unstable; urgency=medium

  * added README.source and updated lintian override comment to clarify
    why the lintian error is overridden.

 -- Dominique Dumont <dod@debian.org>  Tue, 19 Aug 2014 16:11:45 +0200

prettify.js (2013.03.04+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #755430)

 -- Dominique Dumont <dod@debian.org>  Sun, 27 Jul 2014 18:38:03 +0200

=== debian/control ===
Source: prettify.js
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Dominique Dumont <dod@debian.org>
Section: web
Priority: optional
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: closure-compiler,
                     yui-compressor
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/prettify.js.git
Vcs-Git: git://anonscm.debian.org/pkg-javascript/prettify.js.git
Homepage: https://code.google.com/p/google-code-prettify/

Package: libjs-prettify
Architecture: all
Depends: ${misc:Depends}
Description: syntax highlighting of source code snippets in an html page
 A Javascript module and CSS file that allows syntax highlighting of
 source code snippets in an html page.
 .
 Features:
 .
  * Works on HTML pages
  * Works even if code contains embedded links, line numbers, etc.
  * Simple API : include some JS&CSS and add an onload handler.
  * Customizable styles via CSS. See the themes gallery
  * Supports all C-like, Bash-like, and XML-like languages.
  * Extensible language handlers for other languages.
  * Widely used with good cross-browser support.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh $@ 

# debmake generated override targets
# This is example for Cmake (See http://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
override_dh_auto_configure:
	make distrib.tstamp

=== debian/watch ===
# run the "uscan --report --verbose" command
# to check the spec
# See uscan(1) for format. 

# Compulsory line, this is a version 3 file
version=3

# upstream has version number like "4-Mar-2013". Let's sort this out
opts=dversionmangle=s/\+dfsg//,uversionmangle=s/Jan/01/;s/Feb/02/;s/Mar/03/;s/Apr/04/;s/May/05/;s/Jun/06/;s/Jul/07/;s/Aug/08/;s/Sep/09/;s/Oct/10/;s/Nov/11/;s/Dec/12/;s/\b(\d)\b/0$1/g;s/(\d+)-(\d+)-(\d+)/$3.$2.$1/ \
http://code.google.com/p/google-code-prettify/downloads/list?can=1 \
  .*/prettify-(\d+-\w+-\d+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))|zip)

## prettify.js 2015.12.04%2Bdfsg

=== debian/watch ===
Version: 5

Template: Github
Owner: googlearchive
Project: code-prettify
Dversion-Mangle: auto
Uversion-Mangle: s/Jan/01/;s/Feb/02/;s/Mar/03/;s/Apr/04/;s/May/05/;s/Jun/06/;s/Jul/07/;s/Aug/08/;s/Sep/09/;s/Oct/10/;s/Nov/11/;s/Dec/12/;s/\b(\d)\b/0$1/g;s/(\d+)-(\d+)-(\d+)/$1.$2.$3/
Repack-Suffix: +dfsg

## prettify.js 2015.12.04+dfsg

=== Makefile ===
--- 
+++ 
@@ -15,10 +15,10 @@
 
 TAR_ROOT=distrib/google-code-prettify
 
-all: distrib
+all: distrib loader
 
 clean:
-	rm -rf distrib.tstamp distrib src/prettify.js src/run_prettify.js
+	rm -rf distrib.tstamp distrib loader.tstamp src/prettify.js src/run_prettify.js
 
 src/prettify.js: js-modules/*.js js-modules/*.pl
 	@if [ -e "$@" ]; then chmod +w "$@"; fi
@@ -82,10 +82,22 @@
 
 lang-aliases : lang-aliases.tstamp
 lang-aliases.tstamp : distrib.tstamp
-	@tools/lang-handler-aliases.sh \
-            distrib/sources/google-code-prettify/src \
+	tools/lang-handler-aliases.sh \
+            distrib/google-code-prettify \
 	  | perl -ne 'system("cp $$1 $$2") if m/^(\S+) (\S+)$$/ && ! -e $$2' \
 	  && touch lang-aliases.tstamp
+
+loader : loader.tstamp lang-aliases.tstamp styles/*.css
+
+loader.tstamp : distrib.tstamp
+	@cp distrib/google-code-prettify/*.{css,js} loader/ \
+	&& for f in styles/*.css; do \
+	  $(YUI_COMPRESSOR) --type css $$f \
+	      > loader/skins/$$(basename $$f); \
+	  wc -c $$f loader/skins/$$(basename $$f) \
+	      | grep -v total; \
+	done \
+	&& touch loader.tstamp
 
 %.tgz: %.tar
 	@gzip -c -9 $^ > $@
@@ -108,4 +120,3 @@
 	  examples js-modules src styles tests tools \
 	  distrib/sources/google-code-prettify
 	tar cf distrib/prettify.tar -C distrib/sources google-code-prettify
-

=== debian/changelog ===
prettify.js (2015.12.04+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Yadd ]
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.6.2
  * Add "Rules-Requires-Root: no"
  * Change section to javascript
  * Add debian/gbp.conf
  * Modernize debian/watch
  * Add upstream/metadata

  [ Andreas Tille ]
  * New Homepage
  * d/watch: version=5
    Closes: #902286
  * Standards-Version: 4.7.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Update lintian override info format in d/source/lintian-overrides
  * Trim trailing whitespace.
  * Update renamed lintian tag names in lintian overrides.
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 19 Nov 2025 20:47:13 +0100

prettify.js (2015.12.04+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix the README installation. (Closes: #903340)

 -- Adrian Bunk <bunk@debian.org>  Sat, 22 Sep 2018 23:31:59 +0300

prettify.js (2015.12.04+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Update debian/watch and Files-Excluded in debian/copyright
  * Further updates to Files-Excluded
  * New upstream release (2015-12-04)
  * Remove redundant lintian overrides
  * Remove redundant entries from debian/copyright
  * Update Homepage and VCS URLs in debian/control
  * Remove clutter from debian/rules
  * Override lintian source warnings
  * Create and delete loader folder
  * Update Standards-Version from 3.9.6 to 4.1.1 (no change required)
  * Update debian/copyright

 -- Christopher Hoskin <mans0954@debian.org>  Tue, 14 Nov 2017 06:49:02 +0000

=== debian/control ===
Source: prettify.js
Standards-Version: 4.7.2
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Dominique Dumont <dod@debian.org>,
Section: javascript
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Indep:
 closure-compiler,
 yui-compressor,
Vcs-Browser: https://salsa.debian.org/js-team/prettify.js
Vcs-Git: https://salsa.debian.org/js-team/prettify.js.git
Homepage: https://github.com/googlearchive/code-prettify
Rules-Requires-Root: no

Package: libjs-prettify
Architecture: all
Depends:
 ${misc:Depends},
Description: syntax highlighting of source code snippets in an html page
 A Javascript module and CSS file that allows syntax highlighting of
 source code snippets in an html page.
 .
 Features:
 .
  * Works on HTML pages
  * Works even if code contains embedded links, line numbers, etc.
  * Simple API : include some JS&CSS and add an onload handler.
  * Customizable styles via CSS. See the themes gallery
  * Supports all C-like, Bash-like, and XML-like languages.
  * Extensible language handlers for other languages.
  * Widely used with good cross-browser support.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# main packaging script based on dh7 syntax
%:
	dh $@

override_dh_auto_configure:
	mkdir -p loader/skins/
	make distrib.tstamp
